# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		kdeaddons
Summary: 	Kdeaddons
Version: 	2.2.1
Release: 	2mdk
Epoch:		1
Source0: 	%{name}-%{version}.tar.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root

%if %buildfor7_2
BuildRequires:	gcc-c++ kdemultimedia-devel kdemultimedia-static-devel kdebase-devel
BuildRequires:	libSDL1.2-devel
%endif

%if %buildfor8_0
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake arts
BuildRequires:	autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:	libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:	db1 freetype2 libjpeg62 libmng1 libpng2 libqt2 libqt2-devel
BuildRequires:	rpm-build libSDL1.2-devel libesound0-devel kdemultimedia-devel kdemultimedia-static-devel kdebase-devel
%endif

%if %buildfor8_1
BuildRequires:	gcc-c++ kdemultimedia-devel kdemultimedia-static-devel kdebase-devel
BuildRequires:  libSDL1.2-devel 
%endif
Requires:	kdebase libSDL1.2


%description
Plugins for some KDE applications: kdeaddons extends the functionality
of Konqueror, noatun (media player), kate (text editor), kicker (some applets)
and knewstiker.


%package static-devel
Summary:	Static libraries for kdeaddons
Group:		Graphical desktop/KDE
Requires:	%name = %version-%release

%description static-devel
Static libraries for kdeaddons.


%prep


%setup  -q

%build
%if %unstable
make -f Makefile.cvs
%endif

if [ %buildfor = 7.2 ] || [ %buildfor = 8.0 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --build=%_target_platform \
%if %unstable
                    --enable-debug \
%else
                    --disable-debug \
%endif
		    --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-mt \
		    --with-sdl-prefix=%_prefix \
	            --disable-rpath
fi

if [ %buildfor = 8.1 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --build=%_target_platform \
%if %unstable
                    --enable-debug \
%else
                    --disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --with-xinerama \
                    --disable-mt \
                    --with-sdl-prefix=%_prefix \
                    --disable-rpath
fi

%make


%install
rm -fr %buildroot

# Dadou - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install prefix=%buildroot/%_prefix


%clean
rm -fr %buildroot

%post -p /sbin/ldconfig
 
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kate-plugins/
%doc %_docdir/HTML/en/kate-plugins/common
%doc %_docdir/HTML/en/kate-plugins/*.docbook
%doc %_docdir/HTML/en/kate-plugins/*.bz2
#
#
%dir %_docdir/HTML/en/kicker-applets/
%doc %_docdir/HTML/en/kicker-applets/common
%doc %_docdir/HTML/en/kicker-applets/*.docbook
%doc %_docdir/HTML/en/kicker-applets/*.bz2
#
#
#
%_bindir/*
#
#
#
%_libdir/libkolourpicker.la
%_libdir/libktimemon.la
%_libdir/libnoatunblurscope.la
%_libdir/libnoatunluckytag.la
%_libdir/libnoatunmadness.la
%_libdir/libnoatunsynaescope.la
%_libdir/libnoatuntippecanoe.la
%_libdir/libnoatuntyler.la
%_libdir/libnoatunwakeup.la
#
%_libdir/libkolourpicker.so*
%_libdir/libktimemon.so*
%_libdir/libnoatunblurscope.so
%_libdir/libnoatunluckytag.so
%_libdir/libnoatunmadness.so
%_libdir/libnoatunsynaescope.so
%_libdir/libnoatuntippecanoe.so
%_libdir/libnoatuntyler.so
%_libdir/libnoatunwakeup.so
#
#
%dir %_libdir/kde2/
%_libdir/kde2/libbabelfishplugin.la
%_libdir/kde2/libdirfilterplugin.la
%_libdir/kde2/libdomtreeviewerplugin.la
%_libdir/kde2/libkatehtmltoolsplugin.la
%_libdir/kde2/libkateinsertcommandplugin.la
%_libdir/kde2/libkateopenheaderplugin.la
%_libdir/kde2/libkateprojectmanagerplugin.la
%_libdir/kde2/libkatetextfilterplugin.la
%_libdir/kde2/libkhtmlsettingsplugin.la
%_libdir/kde2/libkimgallery.la
%_libdir/kde2/libuachangerplugin.la
%_libdir/kde2/libvalidatorsplugin.la
%_libdir/kde2/libwebarchiverplugin.la
%_libdir/kde2/webarchivethumbnail.la
#
%_libdir/kde2/libbabelfishplugin.so
%_libdir/kde2/libdirfilterplugin.so
%_libdir/kde2/libdomtreeviewerplugin.so
%_libdir/kde2/libkatehtmltoolsplugin.so
%_libdir/kde2/libkateinsertcommandplugin.so
%_libdir/kde2/libkateopenheaderplugin.so
%_libdir/kde2/libkateprojectmanagerplugin.so
%_libdir/kde2/libkatetextfilterplugin.so
%_libdir/kde2/libkhtmlsettingsplugin.so
%_libdir/kde2/libkimgallery.so
%_libdir/kde2/libuachangerplugin.so
%_libdir/kde2/libvalidatorsplugin.so
%_libdir/kde2/libwebarchiverplugin.so
%_libdir/kde2/webarchivethumbnail.so
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kate/
%dir %_datadir/apps/kate/plugins/
%_datadir/apps/kate/plugins/*.desktop
#
%dir %_datadir/apps/kate/plugins/katehtmltools/
%_datadir/apps/kate/plugins/katehtmltools/*.rc
#
%dir %_datadir/apps/kate/plugins/kateinsertcommand/
%_datadir/apps/kate/plugins/kateinsertcommand/*.rc
#
%dir %_datadir/apps/kate/plugins/kateopenheader/
%_datadir/apps/kate/plugins/kateopenheader/*.rc
#
%dir %_datadir/apps/kate/plugins/kateprojectmanager/
%_datadir/apps/kate/plugins/kateprojectmanager/*.rc
#
%dir %_datadir/apps/kate/plugins/katetextfilter/
%_datadir/apps/kate/plugins/katetextfilter/*.rc
#
#
%dir %_datadir/apps/khtml/
%dir %_datadir/apps/khtml/kpartplugins/
%_datadir/apps/khtml/kpartplugins/*.rc
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
%dir %_datadir/apps/konqiconview/
%dir %_datadir/apps/konqiconview/kpartplugins/
%_datadir/apps/konqiconview/kpartplugins/*.rc
#
#
%dir %_datadir/apps/konqlistview/
%dir %_datadir/apps/konqlistview/kpartplugins/
%_datadir/apps/konqlistview/kpartplugins/*.rc
#
#
%dir %_datadir/apps/noatun/
%_datadir/apps/noatun/*.plugin
%_datadir/apps/noatun/tylerstates
#
%dir %_datadir/apps/knewsticker/
%dir %_datadir/apps/knewsticker/scripts/
%_datadir/apps/knewsticker/scripts/*.pl
%_datadir/apps/knewsticker/scripts/*.py
%_datadir/apps/knewsticker/scripts/*.Error*
%_datadir/apps/knewsticker/scripts/*.newsrss
%_datadir/apps/knewsticker/scripts/*.stock
#
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/actions/
%_iconsdir/hicolor/16x16/actions/*.png
#
%dir %_iconsdir/hicolor/22x22/
%dir %_iconsdir/hicolor/22x22/actions/
%_iconsdir/hicolor/22x22/actions/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop



%files static-devel
%defattr(-,root,root,-)
%_libdir/libkolourpicker.a
%_libdir/libktimemon.a
%_libdir/libnoatunblurscope.a
%_libdir/libnoatunluckytag.a
%_libdir/libnoatunmadness.a
%_libdir/libnoatunsynaescope.a
%_libdir/libnoatuntippecanoe.a
%_libdir/libnoatuntyler.a
%_libdir/libnoatunwakeup.a
#
#
%dir %_libdir/kde2/
%_libdir/kde2/libbabelfishplugin.a
%_libdir/kde2/libdirfilterplugin.a
%_libdir/kde2/libdomtreeviewerplugin.a
%_libdir/kde2/libkatehtmltoolsplugin.a
%_libdir/kde2/libkateinsertcommandplugin.a
%_libdir/kde2/libkateopenheaderplugin.a
%_libdir/kde2/libkateprojectmanagerplugin.a
%_libdir/kde2/libkatetextfilterplugin.a
%_libdir/kde2/libkhtmlsettingsplugin.a
%_libdir/kde2/libkimgallery.a
%_libdir/kde2/libuachangerplugin.a
%_libdir/kde2/libvalidatorsplugin.a
%_libdir/kde2/libwebarchiverplugin.a
%_libdir/kde2/webarchivethumbnail.a


%changelog
* Sat Sep 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Remove update-menu/clean menu (there is not menu file in this package)

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Fri Sep 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-5mdk
- Add description

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-4mdk
- Rebuild with new kdelibs

* Fri Aug 31 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-3mdk
- Rebuild with new kdelibs

* Tue Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- Fix generated menu

* Tue Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Wed Aug 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Mon Jul 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.beta1.2mdk
- Add build requires

* Thu Jun 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Rewrite %%files sections

* Tue May 23 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2
